//## begin module%1.4%.codegen_version preserve=yes
//   Read the documentation to learn more about C++ code generator
//   versioning.
//## end module%1.4%.codegen_version

//## begin module%3DE5601400B8.cm preserve=no
//	  %X% %Q% %Z% %W%
//## end module%3DE5601400B8.cm

//## begin module%3DE5601400B8.cp preserve=no
//## end module%3DE5601400B8.cp

//## Module: PlotEfficiency%3DE5601400B8; Package specification
//## Subsystem: XSPlot::Commands%3DA1AFD101BF
//## Source file: /local/data/xerxes1/gordon/headas/Xspec/src/XSPlot/Commands/PlotEfficiency.h

#ifndef PLOTEFFICIENCY_H
#define PLOTEFFICIENCY_H 1

//## begin module%3DE5601400B8.additionalIncludes preserve=no
//## end module%3DE5601400B8.additionalIncludes

//## begin module%3DE5601400B8.includes preserve=yes
//## end module%3DE5601400B8.includes

// PlotCommand
#include <XSPlot/Plot/PlotCommand.h>
//## begin module%3DE5601400B8.declarations preserve=no
//## end module%3DE5601400B8.declarations

//## begin module%3DE5601400B8.additionalDeclarations preserve=yes
class PlotGroup;
class PlotSettings;
struct StandardLabels;
//## end module%3DE5601400B8.additionalDeclarations


//## begin PlotEfficiency%3DE55E3D0007.preface preserve=yes
//## end PlotEfficiency%3DE55E3D0007.preface

//## Class: PlotEfficiency%3DE55E3D0007
//## Category: XSPlot::PlotCommands%3DAF12C70234
//## Subsystem: XSPlot::Commands%3DA1AFD101BF
//## Persistence: Transient
//## Cardinality/Multiplicity: n



class PlotEfficiency : public PlotCommand  //## Inherits: <unnamed>%4B438914022A
{
  //## begin PlotEfficiency%3DE55E3D0007.initialDeclarations preserve=yes
  //## end PlotEfficiency%3DE55E3D0007.initialDeclarations

  public:
    //## Constructors (generated)
      PlotEfficiency();

    //## Destructor (generated)
      virtual ~PlotEfficiency();


    //## Other Operations (specified)
      //## Operation: makeLabels%4B43899F0133
      //	If not overridden, this does nothing.
      virtual void makeLabels (const PlotSettings& settings, StandardLabels& labels) const;

      //## Operation: requestNewXoption%4B4389A603DF
      virtual bool requestNewXoption (const PlotSettings& settings, XaxisMode& newOption) const;

    // Additional Public Declarations
      //## begin PlotEfficiency%3DE55E3D0007.public preserve=yes
      //## end PlotEfficiency%3DE55E3D0007.public

  protected:
    // Additional Protected Declarations
      //## begin PlotEfficiency%3DE55E3D0007.protected preserve=yes
      //## end PlotEfficiency%3DE55E3D0007.protected

  private:
    //## Constructors (generated)
      PlotEfficiency(const PlotEfficiency &right);

    //## Assignment Operation (generated)
      PlotEfficiency & operator=(const PlotEfficiency &right);


    //## Other Operations (specified)
      //## Operation: manipulate%4B43897E0349
      //	Once the raw data has been gathered into PlotGroup
      //	objects, this is the function that performs the various
      //	mathematical operations specific to each PlotCommand
      //	subclass.
      virtual void manipulate (std::vector<PlotGroup*>& plotGroups, const PlotSettings& settings);

      //## Operation: setRanges%4B43898A00DF
      //	Determines plot-time range settings based on current
      //	setplot settings and PlotGroup data.
      virtual void setRanges (std::vector<PlotGroup*>& plotGroups, const PlotSettings& settings);

    // Additional Private Declarations
      //## begin PlotEfficiency%3DE55E3D0007.private preserve=yes
      //## end PlotEfficiency%3DE55E3D0007.private

  private: //## implementation
    // Additional Implementation Declarations
      //## begin PlotEfficiency%3DE55E3D0007.implementation preserve=yes
      //## end PlotEfficiency%3DE55E3D0007.implementation

};

//## begin PlotEfficiency%3DE55E3D0007.postscript preserve=yes
//## end PlotEfficiency%3DE55E3D0007.postscript

// Class PlotEfficiency 

//## begin module%3DE5601400B8.epilog preserve=yes
//## end module%3DE5601400B8.epilog


#endif
